curl --location --request POST 'https://api.qnaigc.com/bypass/vertex/v1/models/gemini-3.1-pro-preview:streamGenerateContent?alt=sse' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"contents": [
{
"role": "user",
"parts": [
{
"text": "Explain how AI works"
}
]
}
],
"systemInstruction": {
"parts": [
{
"text": "You are a helpful assistant."
}
]
},
"generationConfig": {
"temperature": 0.7,
"topP": 0.9,
"maxOutputTokens": 1024
}
}'{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "string",
"functionCall": {
"name": "string",
"args": {}
}
}
]
},
"finishReason": "FINISH_REASON_UNSPECIFIED",
"safetyRatings": [
{
"category": "HARM_CATEGORY_HARASSMENT",
"probability": "HARM_PROBABILITY_UNSPECIFIED",
"probabilityScore": 0,
"severity": "HARM_SEVERITY_UNSPECIFIED",
"severityScore": 0,
"blocked": true
}
],
"citationMetadata": {
"citations": [
{
"startIndex": 0,
"endIndex": 0,
"uri": "string",
"title": "string",
"license": "string"
}
]
}
}
],
"usageMetadata": {
"promptTokenCount": 0,
"candidatesTokenCount": 0,
"totalTokenCount": 0
},
"promptFeedback": {
"blockReason": "BLOCK_REASON_UNSPECIFIED",
"safetyRatings": [
{}
]
}
}